### Function

# GLib SList length

#### Declaration

    guint
    g_slist_length (
      GSList* list
    )

#### Description

Gets the number of elements in a `GSList`.

This function iterates over the whole list to count its elements. To check whether the list is non-empty, it is faster to check `list` against `NULL`.

This function is not directly available to language bindings.

#### Parameters

`list`

  Type: A list of `gpointer`

  A `GSList`.

  The data is owned by the caller of the function.

#### Return value

Type: `guint`

The number of elements in the `GSList`.